﻿function format_price(n) {
    return n.toFixed(0).replace(/./g, function(c, i, a) {
        return i > 0 && c !== "." && (a.length - i) % 3 === 0 ? "," + c : c;
    });
}

function getCookie(cname) {
    var name = cname + "=";
    var ca = document.cookie.split(';');
    for (var i = 0; i < ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0) == ' ') c = c.substring(1);
        if (c.indexOf(name) != -1) return c.substring(name.length, c.length);
    }
    return "";
}

function ConditionCheck(percentcurr, typeCompany) {
    if (typeCompany == '1002') {
            if ('10000000' < parseInt($('.trg-sr-price>strong').attr('data-price')) && parseInt($('.trg-sr-price>strong').attr('data-price')) < '15000000' && percentcurr < '40') {
                $('.trg-sr-price-first').hide();
                $('.trg-slp-order').hide();
                $('.trg-sr-conditioncheck').show();
            } else {
                $('.trg-sr-price-first').show();
                $('.trg-slp-order').show();
                $('.trg-sr-conditioncheck').hide();
            }
            if ('15000000' < parseInt($('.trg-sr-price>strong').attr('data-price')) && parseInt($('.trg-sr-price>strong').attr('data-price')) < '21000000' && percentcurr < '50') {
                $('.trg-sr-price-first').hide();
                $('.trg-slp-order').hide();
                $('.trg-sr-conditioncheck').show();
            } else {
                $('.trg-sr-price-first').show();
                $('.trg-slp-order').show();
                $('.trg-sr-conditioncheck').hide();
            }
            if ('21000000' < parseInt($('.trg-sr-price>strong').attr('data-price'))) {
                $('.trg-sr-price-first').hide();
                $('.trg-slp-order').hide();
                $('.trg-sr-conditioncheck').show();
            }
    } else if (typeCompany == '2') {
            if ($('.trg-sr-price>strong').attr('data-name') == 'Máy tính bảng' || $('.trg-sr-price>strong').attr('data-name') == 'Điện thoại' && parseInt($('.trg-sr-price>strong').attr('data-price')) > '20000000') {
                $('.trg-sr-price-first').hide();
                $('.trg-slp-order').hide();
                $('.trg-sr-conditioncheck').show();
            }else {
                $('.trg-sr-price-first').show();
                $('.trg-slp-order').show();
                $('.trg-sr-conditioncheck').hide();
            }

            if ($('.trg-sr-price>strong').attr('data-name') == 'Máy tính xách tay' && parseInt($('.trg-sr-price>strong').attr('data-price')) > '40000000') {
                $('.trg-sr-price-first').hide();
                $('.trg-slp-order').hide();
                $('.trg-sr-conditioncheck').show();
            } else {
                $('.trg-sr-price-first').show();
                $('.trg-slp-order').show();
                $('.trg-sr-conditioncheck').hide();
            }
        }else {
        $('.trg-sr-price-first').show();
        $('.trg-slp-order').show();
        $('.trg-sr-conditioncheck').hide();
    }
        
}

function acs(price, percentAcs, monthAcs) {
    
    var p = price*percentAcs/100;
    var m = (price - price*percentAcs/100);
    $('.trg-price-prepaid>strong').html(format_price(p) + 'đ');
    $('.trg-price-monthly>strong').html(format_price(m) + 'đ');
}

function fecredit(price, percentFe, monthFe) {
    $.post("/Ajax/Recurring/FeCredit", { price: price, prepaidpercent: percentFe, month: monthFe }, function (dataFe) {
        $('.trg-price-prepaid>strong').html(dataFe.prepaidMoneybefore + 'đ');
        $('.trg-price-monthly>strong').html(dataFe.monthlyPay + 'đ');
    });
}

function ppf(price, percentPpf, monthPpf) {
    $.post("/Ajax/Recurring/HomeCredit", { price: price, prepaidpercent: percentPpf, month: monthPpf }, function (dataPpf) {
        $('.trg-price-prepaid>strong').html(dataPpf.prepaidMoneybefore + 'đ');
        $('.trg-price-monthly>strong').html(dataPpf.monthlyPayment + 'đ');
    });
}

function _calculator(trgprice, trgpercent, trgmonth) {
    if ($('input[name=trg-service]:checked').val() == '1') {
        acs(trgprice, trgpercent, trgmonth);
    } else if ($('input[name=trg-service]:checked').val() == '2') {
        ppf(trgprice, trgpercent, trgmonth);
    } else if ($('input[name=trg-service]:checked').val() == '1002') {
        fecredit(trgprice, trgpercent, trgmonth);
    }
}

function calculator(trgprice, trgpercent, trgmonth) {
    var p = trgprice*trgpercent/100;
    var m = (trgprice - trgprice*trgpercent/100);
    var m_con = m / month[trgmonth];
    m_phaitra = Math.ceil(m_con + m_con*arr[trgmonth]/100);
    

    $('.trg-price-prepaid>strong').html(format_price(p) + 'đ');
    $('.trg-price-monthly>strong').html(format_price(m_phaitra) + 'đ');
}

function insertOrderRecuring(prodvariant, pricecurrent, percentcurrent, monthcurrent, type) {
    var name = $('#txtfullname').val();
    var phone = $('#txtmobile').val();
    var city = $('#slprovince option:selected').val();
    $('.Tg_fo_buttonpopup').hide();
    $.post("/Ajax/Recurring/InsertOrderRecuring", { variantId: prodvariant, name: name, phone: phone, price: pricecurrent, prepaidpercent: percentcurrent, month: monthcurrent, type: type, city: city }, function (databyacs) {
        if (databyacs.Erros == false) {
            name = $('#txtfullname').val('');
            phone = $('#txtmobile').val('');
            $('.Tg_fo_content_success').show();
            $('.Tg_fo_padd_success').html(databyacs.Message);
            $('.Tg_fo_buttonpopup').show();
            $('.Tg_fo_content').hide();
            $('.Tg_fo_content_success').show();
        }
        });
    }

$(document).on('change', '.trg-ipradio', function (event) {
    $('.trg-ipradio').removeClass('active');
    var pricecurent = $('.price>strong').attr('data-price');
    var x = $("input[type='radio'][name='trg-service']:checked");

    event.preventDefault();
    var percentcurr = $('.trg-percent option:selected').val();
    var monthcurr = $('#trg-month'+x.val()+' option:selected').val();
    
    var typeCompany = $(this).val();
    $(this).addClass('active');
    ConditionCheck(percentcurr, typeCompany);
    if (($('.trg-details').attr('style') != 'display: none;')) {
        calculator(pricecurent, percentcurr, monthcurr);
    }
});


$(document).on('change', '.trg-percent', function () {
    
    var pricecurent = $('.price>strong').attr('data-price');
    var percentchg = $('.trg-percent option:selected').val();
    
    var percentmonthchg = $('.trg-month option:selected').val();
    calculator(pricecurent, percentchg, percentmonthchg);

});



$(document).on('change', '.trg-month', function (event) {
    var pricecurent = $('.price>strong').attr('data-price');
    var monthchg = $(this).val();
    var monthpercentchg = $('.trg-percent option:selected').val();

    calculator(pricecurent, monthpercentchg, monthchg);
});
function scrollTo() {
    $('html, body').animate({ scrollTop: $('#checkout_user_info').offset().top }, 'slow');
    return false;
}
function check(frm){
        var msg="";
        if(frm.name.value==""){
            msg +="+ Chưa nhập họ tên\n";
        }
        if(frm.email.value==""){
            msg +="+ Chưa nhập Email\n";
        }
        else if(!(/^[a-zA-Z][\w\.-]*[a-zA-Z0-9]@[a-zA-Z0-9][\w\.-]*[a-zA-Z0-9]\.[a-zA-Z][a-zA-Z\.]*[a-zA-Z]$/.test(frm.email.value))){
           msg += "+ E-mail có dạng xxxxx@xxxxx \n";
        }
        if(frm.phone.value!=""&&!(/(^\d+$)|(^\d+\.\d+$)/.test(frm.phone.value))){
            msg += "+ Điện thoại chỉ được nhập số \n";
        }
        
        if(msg!="")
        {
            alert("Lỗi: \n"+msg);
            return false;
        }
        else
        {return true;}
    }
$(function () {
    $('.trg-slp-order').click(function (e) {
        
        $('#checkout_user_info').show();
        scrollTo();

    });
});
(function($){
    $(document).ready(function (){

        $(".trg-hang-item").click(function(event) {
            //event.preventDefault();
            $(this).parent().addClass("current");
            $(this).parent().siblings().removeClass("current");
            var tab = $(this).attr("data-href");
            var id = $(this).attr('data-id');
            $(".trg-info-sv").not(tab).css("display", "none");
            $(tab).fadeIn();
            $(".trg-month").css("display", "none");
            $("#trg-month"+id).css("display", "block");
        });
        $(".trg-view-more").click(function(){
            $(".trg-info-sv-main").toggle(150);
            $(".trg-view-more span").text($(".trg-view-more span").text() == 'Xem thêm' ? 'Ẩn đi' : 'Xem thêm');
            return false;
        });
    });

})(window.jQuery);

